commit 122794cb52223adb86c8c64d0dd36cd335b5ec32
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Sep 16 00:21:15 2024 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index a8749a23960..4acf17e3bc6 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,13 @@
+2024-09-15  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2024-09-08  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR target/116621
+	* config/i386/i386.cc (ix86_gimplify_va_arg): Don't use temp for
+	a PARALLEL BLKmode container of an EXPR_LIST expression in a
+	TImode register.
+
 2024-09-09  Haochen Jiang  <haochen.jiang@intel.com>
 
 	PR target/116617
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 5cbbe5defc0..657376e5779 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20240915
+20240916
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index bc0576f02bb..1345557071a 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2024-09-15  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2024-09-08  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR target/116621
+	* gcc.target/i386/pr116621.c: New test.
+
 2024-09-12  Marek Polacek  <polacek@redhat.com>
 
 	Backported from master:

